// Copyright 2022 Tigris Data, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package realtime

type wsEncodingType int8

const (
	msgpackEncoding wsEncodingType = 1
	jsonEncoding    wsEncodingType = 2
)

const (
	msgPackEncodingStr = "msgpack"
	jsonEncodingStr    = "json"
)

// ConnectionParams do we need serial here as well?
type ConnectionParams struct {
	ProjectName string
	SessionId   string
	Position    string
	Encoding    string
}

func (params ConnectionParams) ToEncodingType() wsEncodingType {
	if params.Encoding == jsonEncodingStr {
		return jsonEncoding
	}

	// default is msgpack
	return msgpackEncoding
}
